Bug 329168 - It is impossible to remove a media from playlist without playing it first
Summary: It is impossible to remove a media from playlist without playing it first
Status: RESOLVED FIXED
Alias: None
Product: plasma-mediacenter
Classification: Unclassified
Component: Playlist (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Sinny Kumari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-23 18:58 UTC by Shantanu Tushar
Modified: 2014-03-06 14:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shantanu Tushar 2013-12-23 18:58:11 UTC
To remove a media from playlist, right now you must play it to remove it.

Reproducible: Always

Steps to Reproduce:
1. Add multiple media to playlist
2. Try to delete a media which is not currently playing

Actual Results:  
There is no remove button

Expected Results:  
There should be a remove button for each media
Comment 1 Sinny Kumari 2013-12-23 19:23:37 UTC
You can remove by going to particular media using up/down arrow key, but yeah mouse hover doesn't work
Comment 2 Shantanu Tushar 2014-03-06 14:22:54 UTC
Git commit 946cea2996ca42f7bad5693f3d07e0aef274670e by Shantanu Tushar.
Committed on 06/03/2014 at 14:21.
Pushed by shantanu into branch 'master'.

Change the current playlist item depending on mouse hover.

Patch by Ashish Madeti <ashishmadeti@gmail.com>
REVIEW: 116596

M  +1    -1    mediaelements/playlist/Playlist.qml
M  +1    -0    mediaelements/playlist/PlaylistDelegate.qml

http://commits.kde.org/plasma-mediacenter/946cea2996ca42f7bad5693f3d07e0aef274670e